Bug 1982600 - qemu-kvm -help reports -spice despite not being compiled
Summary: qemu-kvm -help reports -spice despite not being compiled
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: qemu-kvm
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Marc-Andre Lureau
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-15 09:08 UTC by Daniel Berrangé
Modified: 2022-05-23 10:22 UTC (History)
6 users (show)

Fixed In Version: qemu-kvm-7.0.0-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Daniel Berrangé 2021-07-15 09:08:03 UTC
Description of problem:
# /usr/libexec/qemu-kvm  --help 2>&1 | grep spice
-spice [port=port][,tls-port=secured-port][,x509-dir=<dir>]
   enable spice

#  /usr/libexec/qemu-kvm  --spice port=5900
qemu-kvm: --spice port=5900: There is no option group 'spice'
qemu-kvm: --spice port=5900: spice support is disabled

This looks like a bug in qemu-options.hx - this file supports 
conditional builds based on CONFIG_XXXX, and indeed some
SPICE pieces are conditionally removed already, but the main
-spice option is still present.

Version-Release number of selected component (if applicable):
qemu-kvm-6.0.0-7.el9.x86_64

Comment 1 Marc-Andre Lureau 2021-09-09 08:47:23 UTC
upstream patch: "[PATCH] qemu-options.hx: remove -spice options from --help"

Comment 2 Marc-Andre Lureau 2022-03-23 08:09:38 UTC
Merged in for qemu 7.0-rc1:

commit 5324e3e958e87083c87e2965b6c87db24c6afa90
Author: Marc-André Lureau <marcandre.lureau>
Date:   Thu Sep 9 12:44:11 2021 +0400

    qemu-options: define -spice only #ifdef CONFIG_SPICE

Comment 3 Yanan Fu 2022-04-25 12:37:07 UTC
QE bot(pre verify): Set 'Verified:Tested,SanityOnly' as gating/tier1 test pass.

Comment 5 Guo, Zhiyi 2022-05-11 12:42:02 UTC
Reproduce this issue against qemu-kvm-6.2.0-11.el9_0.2.x86_64:
# /usr/libexec/qemu-kvm --help | grep spice
-spice [port=port][,tls-port=secured-port][,x509-dir=<dir>]
   enable spice
# /usr/libexec/qemu-kvm --spice 5900
qemu-kvm: --spice 5900: spice support is disabled

Verify this issue against qemu-kvm-7.0.0-2.el9.x86_64
# /usr/libexec/qemu-kvm --help | grep spice
(nothing)
# /usr/libexec/qemu-kvm --spice 5900
qemu-kvm: --spice: invalid option

Comment 8 Guo, Zhiyi 2022-05-23 10:22:20 UTC
Verified per comment 5


Note You need to log in before you can comment on or make changes to this bug.